Check in one catalog attachment
post
/fscmRestApi/resources/11.13.18.05/itemCatalogs/{CatalogId}/child/attachments/{attachmentsUniqID}/action/createCheckInTracker
Checks in the catalog attachments for a catalog.
Request
Path Parameters
-
CatalogId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
attachmentsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Attachments resource and used to uniquely identify an instance of Attachments. The client should not generate the hash key value. Instead, the client should query on the Attachments collection resource in order to navigate to a specific instance of Attachments to get the hash key.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
Show Source
object-
chunkCount: number
Size of the attached file.
-
chunkSize: number
Size of the attached file.
-
contentType: string
Value the identifies the content type for a catalog attachment.
-
fileName: string
Name of the file for a catalog attachment.
-
length: number
Size of the attached file.
Response
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): object
result
Additional Properties Allowed: additionalPropertiesValues that displays the outcome of the user-defined action.
Nested Schema : result
Type:
objectAdditional Properties Allowed
Show Source
Values that displays the outcome of the user-defined action.